com.smartgwt.client.widgets.form.fields

## Class SliderItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.form.fields.FormItem
        - - com.smartgwt.client.widgets.form.fields.CanvasItem
          - - com.smartgwt.client.widgets.form.fields.SliderItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasCanEditChangedHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPickerIconClickHandlers, HasShowValueHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers

      public class SliderItem
      extends CanvasItem

  FormItem that uses a `Slider` component to present an interface for picking from either a continuous range or a range with a small number of discrete values.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliderItem()`
    `SliderItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `SliderItem(java.lang.String name)`
    `SliderItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `java.lang.Boolean` | `getChangeOnDrag()` Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider.
    `int` | `getDefaultValue()` Default value for this sliderItems is 1.
    `float` | `getMaxValue()` The maximum slider value.
    `float` | `getMinValue()` The minimum slider value.
    `java.lang.Integer` | `getNumValues()` The number of discrete values represented by slider.
    `static SliderItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRoundPrecision()` If `roundValues` is false, the slider value will be rounded to this number of decimal places.
    `java.lang.Boolean` | `getRoundValues()` Specifies whether the slider value should be rounded to the nearest integer.
    `java.lang.Float` | `getValueAsFloat()` Return the value tracked by this form item.
    `java.lang.Boolean` | `getVertical()` Indicates whether this is a vertical or horizontal slider.
    `void` | `setChangeOnDrag(java.lang.Boolean changeOnDrag)` Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider.
    `static void` | `setDefaultProperties(SliderItem sliderItemProperties)` Class level method to set the default properties of this class.
    `void` | `setDefaultValue(int defaultValue)` Default value for this sliderItems is 1.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setMaxValue(float maxValue)` The maximum slider value.
    `void` | `setMinValue(float minValue)` The minimum slider value.
    `void` | `setNumValues(java.lang.Integer numValues)` The number of discrete values represented by slider.
    `void` | `setRoundPrecision(int roundPrecision)` If `roundValues` is false, the slider value will be rounded to this number of decimal places.
    `void` | `setRoundValues(java.lang.Boolean roundValues)` Specifies whether the slider value should be rounded to the nearest integer.
    `void` | `setVertical(java.lang.Boolean vertical)` Indicates whether this is a vertical or horizontal slider.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.CanvasItem

      `addCanEditChangedHandler, addShowValueHandler, createCanvas, getApplyPromptToCanvas, getAutoDestroy, getCanvas, getEditCriteriaInInnerForm, getHeight, getMultiple, getOverflow, getPrompt, getShouldSaveValue, hasAdvancedCriteria, readOnlyDisplayChanged, setApplyPromptToCanvas, setAutoDestroy, setCanEditCriterionPredicate, setCanvas, setCriterionGetter, setCriterionSetter, setDefaultProperties, setEditCriteriaInInnerForm, setMultiple, setOverflow, setPrompt, setShouldSaveValue, setupCanvasConstructor, storeValue, storeValue, storeValue`

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPickerIconClickHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, asSGWTComponent, blurItem, canEditCriterion, clearValue, disable, enable, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsString, getBrowserSpellCheck, getCanEdit, getCanFocus, getCanvasAutoChild, getCellHeight, getCellStyle, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getCriteriaField, getCriterion, getCriterion, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDisabled, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getFetchMissingValues, getFieldName, getFilterLocally, getForm, getFormItemAutoChild, getFullDataPath, getGlobalTabIndex, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverHeight, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getIcon, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIconVAlign, getIconWidth, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLocateItemBy, getMultipleValueSeparator, getName, getOperator, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getPageLeft, getPageRect, getPageTop, getPicker, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconWidth, getPrintTextBoxStyle, getPrintTitleStyle, getReadOnlyDisplay, getReadOnlyTextBoxStyle, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRowSpan, getSaveOnEnter, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDisabled, getShowErrorIcon, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowOverIcons, getShowPickerIcon, getShowRTL, getShowTitle, getShowValueIconOnly, getStartRow, getStopOnError, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextBoxStyle, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitleStyle, getTitleVAlign, getTooltip, getTop, getType, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsRecordList, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getVisible, getVisibleHeight, getVisibleWidth, getWidth, getWrapTitle, hide, hideIcon, invalidateDisplayValueCache, isCreated, isDisabled, isDrawn, isVisible, redraw, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setBrowserSpellCheck, setCanEdit, setCanFocus, setCellHeight, setCellStyle, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setCriteriaField, setCriterion, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setFetchMissingValues, setFilterLocally, setGlobalTabIndex, setHeight, setHeight, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverHeight, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconVAlign, setIconWidth, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setLeft, setLocateItemBy, setMultipleValueSeparator, setName, setOperator, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintTextBoxStyle, setPrintTitleStyle, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyDisplay, setReadOnlyTextBoxStyle, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRowSpan, setSaveOnEnter, setSelectOnClick, setSelectOnFocus, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDisabled, setShowErrorIcon, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIfCondition, setShowOverIcons, setShowPickerIcon, setShowRTL, setShowTitle, setShowValueIconOnly, setStartRow, setStopOnError, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextBoxStyle, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitleStyle, setTitleVAlign, setTooltip, setTop, setType, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setWidth, setWidth, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, show, showIcon, showPicker, stopHover, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### SliderItem

          public SliderItem()

    - #### SliderItem

          public SliderItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### SliderItem

          public SliderItem(java.lang.String name)

    - #### SliderItem

          public SliderItem(java.lang.String name,
                    java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static SliderItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `CanvasItem`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setChangeOnDrag

          public void setChangeOnDrag(java.lang.Boolean changeOnDrag)

      Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider. Setting this attribute value to `false` will suppress any change notifications from the user dragging the slider thumb until the user releases the mouse at the final position. This can be useful to avoid repeatedly firing expensive operations such as server fetches while the user drags through a range of values.
      Parameters:
        `changeOnDrag` - changeOnDrag Default value is true

    - #### getChangeOnDrag

          public java.lang.Boolean getChangeOnDrag()

      Should this sliderItem update its value and fire change handlers while the user is actively dragging the slider. Setting this attribute value to `false` will suppress any change notifications from the user dragging the slider thumb until the user releases the mouse at the final position. This can be useful to avoid repeatedly firing expensive operations such as server fetches while the user drags through a range of values.
      Returns:
        Boolean

    - #### setDefaultValue

          public void setDefaultValue(int defaultValue)

      Default value for this sliderItems is 1.
      Parameters:
        `defaultValue` - defaultValue Default value is 1

    - #### getDefaultValue

          public int getDefaultValue()

      Default value for this sliderItems is 1.
      Returns:
        int

    - #### setMaxValue

          public void setMaxValue(float maxValue)

      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `maximum value` of the slider
      Parameters:
        `maxValue` - the new maximum value Note:Use Doubles rather Floats when manipulating decimal values. See gwtFloatVsDouble for details. Default value is 100
      See Also:
        `Slider.setFlipValues(java.lang.Boolean)`, Number - Slider Example

    - #### getMaxValue

          public float getMaxValue()

      The maximum slider value. The slider value is equal to maxValue when the thumb is at the top or right of the slider (unless flipValues is true, in which case the maximum value is at the bottom/left of the slider)
      Returns:
        float
      See Also:
        `Slider.getFlipValues()`, Number - Slider Example

    - #### setMinValue

          public void setMinValue(float minValue)

      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      If this method is called after the component has been drawn/initialized: Sets the `minimum value` of the slider
      Parameters:
        `minValue` - the new minimum value Note:Use Doubles rather Floats when manipulating decimal values. See gwtFloatVsDouble for details. Default value is 1
      See Also:
        `Slider.setFlipValues(java.lang.Boolean)`, Number - Slider Example

    - #### getMinValue

          public float getMinValue()

      The minimum slider value. The slider value is equal to minValue when the thumb is at the bottom or left of the slider (unless flipValues is true, in which case the minimum value is at the top/right of the slider)
      Returns:
        float
      See Also:
        `Slider.getFlipValues()`, Number - Slider Example

    - #### setNumValues

          public void setNumValues(java.lang.Integer numValues)

      The number of discrete values represented by slider. If specified, the range of valid values (between `minValue` and `maxValue`) will be divided into this many steps. As the thumb is moved along the track it will only select these values and appear to jump between the steps.
      If this method is called after the component has been drawn/initialized: Sets the `number of values` for the slider
      Parameters:
        `numValues` - the new number of values Note:Use Doubles rather Floats when manipulating decimal values. See gwtFloatVsDouble for details. Default value is null
      See Also:
        Number - Slider Example

    - #### getNumValues

          public java.lang.Integer getNumValues()

      The number of discrete values represented by slider. If specified, the range of valid values (between `minValue` and `maxValue`) will be divided into this many steps. As the thumb is moved along the track it will only select these values and appear to jump between the steps.
      Returns:
        Integer
      See Also:
        Number - Slider Example

    - #### setRoundPrecision

          public void setRoundPrecision(int roundPrecision)

      If `roundValues` is false, the slider value will be rounded to this number of decimal places. If set to null the value will not be rounded
      Parameters:
        `roundPrecision` - roundPrecision Default value is 1
      See Also:
        Number - Slider Example

    - #### getRoundPrecision

          public int getRoundPrecision()

      If `roundValues` is false, the slider value will be rounded to this number of decimal places. If set to null the value will not be rounded
      Returns:
        int
      See Also:
        Number - Slider Example

    - #### setRoundValues

          public void setRoundValues(java.lang.Boolean roundValues)

      Specifies whether the slider value should be rounded to the nearest integer. If set to false, values will be rounded to a fixed number of decimal places controlled by `roundPrecision`.
      Parameters:
        `roundValues` - roundValues Default value is true
      See Also:
        Number - Slider Example

    - #### getRoundValues

          public java.lang.Boolean getRoundValues()

      Specifies whether the slider value should be rounded to the nearest integer. If set to false, values will be rounded to a fixed number of decimal places controlled by `roundPrecision`.
      Returns:
        Boolean
      See Also:
        Number - Slider Example

    - #### setVertical

          public void setVertical(java.lang.Boolean vertical)

      Indicates whether this is a vertical or horizontal slider.
      Parameters:
        `vertical` - vertical Default value is false
      See Also:
        Slider Example

    - #### getVertical

          public java.lang.Boolean getVertical()

      Indicates whether this is a vertical or horizontal slider.
      Returns:
        Boolean
      See Also:
        Slider Example

    - #### setDefaultProperties

          public static void setDefaultProperties(SliderItem sliderItemProperties)

      Class level method to set the default properties of this class. If set, then all subsequent instances of this class will automatically have the default properties that were set when this method was called. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will effect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead.

      Parameters:
        `sliderItemProperties` - properties that should be used as new defaults when instances of this class are created

    - #### getValueAsFloat

          public java.lang.Float getValueAsFloat()

      Return the value tracked by this form item.
      Returns:
        value of this element